<?php
namespace front\factory;

class Settings
{
  public static function settings_details()
  {
    global $mdb;
    
    if ( !$settings = \Cache::fetch( 'settings_details' ) )
    {
      $results = $mdb -> select( 'pp_settings', '*' );
      if ( is_array( $results ) ) foreach ( $results as $row )
        $settings[ $row['param'] ] = $row['value'];
      
      \Cache::store( 'settings_details', $settings );
    }
    
    return $settings;
  }
  
  public static function visit_counter()
  {
    global $mdb;
    return $mdb -> get( 'pp_settings', 'value', [ 'param' => 'visits'] );
  }
}
